calcSRmatMod {fcros} | R Documentation

## Calculation of the sorted rank matrix from the dataset

### Description

This is an internal function used to calculate the sorted rank matrix. It is used in the functions: fcrosMod() and pfcoMod().

### Usage

    calcSRmatMod(xdata, samp, log2.opt=0, trim.opt=0.25)

### Arguments

`xdata` | A matrix containing fold changes or ratios from a biological dataset to process for searching differentially expressed genes or for detecting recurrent copy number aberrations regions: `fcMat`.
`samp` | A vector of sample label names which should appear in the columns of the matrix fcMat: `samp`.
`log2.opt` | A scalar equals to 0 or 1. The value 0 (default) means that values in the matrix "fcMat" are expressed in a log2 scale: `log2.opt` = 0
`trim.opt` | A scalar between 0 and 0.5. The value 0.25 (default) means that 25% of the lower and the upper rank values for each gene are not used for computing the statistic "ri", i.e. the interquartile range rank values are averaged: `trim.opt` = 0.25

### Author(s)

Doulaye Dembele doulaye@igbmc.fr

### References

Dembele D and Kaster P, Fold change rank ordering statistics: a new method for detecting differentially expressed genes, BMC bioinformatics, 2014, 15:14

### Examples

    #    data(fdata);

[Package fcros version 1.6.1 Index]